<?php
namespace fid\Hydrator;

use fid\Service\DataTransferObject\Order;
use Zend\Hydrator\AbstractHydrator;

class OrderUpdateHydrator extends AbstractHydrator
{
    public const DATE_FORMAT = 'Y-m-d';

    public function extract($object)
    {
        $retval['due_date'] = $object->getDueDate() ? $object->getDueDate()->format(self::DATE_FORMAT) : '';
        $retval['status'] = $object->getStatus() ?? 'open';
        return $retval;
    }

    /**
     * @param  array        $data
     * @param  Order|object $object
     * @return Order|object|void
     */
    public function hydrate(array $data, $object)
    {
        $data['status'] ? $object->setStatus($data['status']) : null;
        !empty($data['due_date'])
            ? $object->setDueDate(\DateTime::createFromFormat(self::DATE_FORMAT, $data['due_date']))
            : null;
        return $object;
    }
}
