<?php
/**
 * Copyright (C) 2019  Leipzig University Library
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @license https://opensource.org/licenses/GPL-3.0 GNU GPLv3
 */
namespace fid\Service\DataTransferObject;

class Library
{
    /**
     * @var string
     */
    protected $id;

    /**
     * @var string
     */
    protected $ezb = '';

    /**
     * @var string
     */
    protected $dbis = '';

    /**
     * @var string
     */
    protected $network = '';

    /**
     * @var string
     */
    protected $boss = '';

    /**
     * @var string
     */
    protected $isil = '';

    /**
     * @var string
     */
    protected $label = '';

    /**
     * @return string
     */
    public function getId(): string
    {
        return $this->id;
    }

    /**
     * @param string $id
     */
    public function setId(string $id): void
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getEzb(): string
    {
        return $this->ezb;
    }

    /**
     * @param string $ezb
     */
    public function setEzb(string $ezb): void
    {
        $this->ezb = $ezb;
    }

    /**
     * @return string
     */
    public function getDbis(): string
    {
        return $this->dbis;
    }

    /**
     * @param string $dbis
     */
    public function setDbis(string $dbis): void
    {
        $this->dbis = $dbis;
    }

    /**
     * @return string
     */
    public function getNetwork(): string
    {
        return $this->network;
    }

    /**
     * @param string $network
     */
    public function setNetwork(string $network): void
    {
        $this->network = $network;
    }

    /**
     * @return string
     */
    public function getBoss(): string
    {
        return $this->boss;
    }

    /**
     * @param string $boss
     */
    public function setBoss(string $boss): void
    {
        $this->boss = $boss;
    }

    /**
     * @return string
     */
    public function getIsil(): string
    {
        return $this->isil;
    }

    /**
     * @param string $isil
     */
    public function setIsil(string $isil): void
    {
        $this->isil = $isil;
    }

    /**
     * @return string
     */
    public function getLabel(): string
    {
        return $this->label;
    }

    /**
     * @param string $label
     */
    public function setLabel(string $label): void
    {
        $this->label = $label;
    }
}
