<?php
/**
 * Copyright (C) 2019  Leipzig University Library
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @license https://opensource.org/licenses/GPL-3.0 GNU GPLv3
 */
namespace fid\Service\DataTransferObject;

class Record
{
    /**
     * @var string
     */
    protected $id;

    /**
     * @var bool
     */
    protected $ordered = '';

    /**
     * @return string
     */
    public function getId(): string
    {
        return $this->id;
    }

    /**
     * @param string $id
     */
    public function setId(string $id): void
    {
        $this->id = $id;
    }

    /**
     * @return bool
     */
    public function getOrdered(): bool
    {
        return $this->ordered;
    }

    /**
     * @param bool $ordered
     */
    public function setOrdered(bool $ordered): void
    {
        $this->ordered = $ordered;
    }
}
