<?php
/**
 * Copyright (C) 2020 Leipzig University Library
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @author  Alexander Purr <purr@ub.uni-leipzig.de>
 * @license http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 */
namespace fid\Validator;

use fid\Controller\RecordController;

trait SubitoPartialCopyPageRangeValidatorTrait
{
    private $pageStart = null;

    private $pageEnd = null;

    private function extractPages($value)
    {
        preg_match(RecordController::PAGE_RANGE_PATTERN, $value, $matches);
        $this->pageStart = (int)$matches[1];
        $this->pageEnd = (int)$matches[2];
    }
}
